GeoTessCPP 2.6.1 Software to facilitate storage and retrieval of 3D information about the Earth.

Loading...
Searching...
No Matches
geotess::GeoTessOptimizationType Class Reference

Enumeration of the optimization strategies supported by GeoTess including OptimizationType::SPEED and OptimizationType::MEMORY. More...

`#include <GeoTessOptimizationType.h>`

Inheritance diagram for geotess::GeoTessOptimizationType:

## Public Member Functions
virtual | ~GeoTessOptimizationType ()
Public Member Functions inherited from geotess::GeoTessEnumType
virtual | ~GeoTessEnumType ()
string | toString () const
string | name () const
int | ordinal () const

## Static Public Member Functions
static const GeoTessOptimizationType * | valueOf (const string &s)
static GeoTessOptimizationType const *const *const | values ()
static int | size ()

## Static Public Attributes
static const GeoTessOptimizationType | SPEED
static const GeoTessOptimizationType | MEMORY
static const GeoTessOptimizationType * | aArray []

## Additional Inherited Members
Protected Member Functions inherited from geotess::GeoTessEnumType
| GeoTessEnumType ()
| GeoTessEnumType (const GeoTessEnumType &et)
GeoTessEnumType & | operator= (const GeoTessEnumType &et)
| GeoTessEnumType (const string &name, int ordinal)
Static Protected Member Functions inherited from geotess::GeoTessEnumType
static const GeoTessEnumType * | valueOf (const string &s, GeoTessEnumType const *const *const array, int n)
Protected Attributes inherited from geotess::GeoTessEnumType
const string | aName
const int | aOrdinal

## Detailed Description

Enumeration of the optimization strategies supported by GeoTess including OptimizationType::SPEED and OptimizationType::MEMORY.

Optimize for speed or memory

Definition at line 66 of file GeoTessOptimizationType.h.

## Constructor & Destructor Documentation

## ◆ ~GeoTessOptimizationType()

virtual geotess::GeoTessOptimizationType::~GeoTessOptimizationType | ( |  | ) |
| inline virtual

Standard Destructor.

Definition at line 133 of file GeoTessOptimizationType.h.

## Member Function Documentation

## ◆ size()

int geotess::GeoTessOptimizationType::size | ( |  | ) |
| inline static

Returns the total number of enums of this type.

Definition at line 172 of file GeoTessOptimizationType.h.

## ◆ valueOf()

const GeoTessOptimizationType * geotess::GeoTessOptimizationType::valueOf | ( | const string & | s | ) |
| inline static

Assignment Operator. Returns a pointer to the enum whose string matches the input string. If no match is found null is returned.

Parameters

  s | The input string for which a match in array is returned (or null).

Returns
  The match of s in the names of array or null if one was not found.

Definition at line 154 of file GeoTessOptimizationType.h.

## ◆ values()

GeoTessOptimizationType const *const *const geotess::GeoTessOptimizationType::values | ( |  | ) |
| inline static

Returns the array of all enums for this type.

Definition at line 164 of file GeoTessOptimizationType.h.

## Member Data Documentation

## ◆ aArray

const GeoTessOptimizationType* geotess::GeoTessOptimizationType::aArray[]
| static

The array containing all enums declared above.

Definition at line 128 of file GeoTessOptimizationType.h.

## ◆ MEMORY

const GeoTessOptimizationType geotess::GeoTessOptimizationType::MEMORY
| static

Definition at line 123 of file GeoTessOptimizationType.h.

## ◆ SPEED

const GeoTessOptimizationType geotess::GeoTessOptimizationType::SPEED
| static

The actual enums for this type.

Definition at line 122 of file GeoTessOptimizationType.h.

The documentation for this class was generated from the following file:

- rstt_v3.2.1/GeoTessCPP/include/GeoTessOptimizationType.h